\chapter{Introduction}

\todo{Fill the below paragraphs with your own content to describe and visualize your plans.
The introduction should give a quick overview of your whole work, including the approach and the results,
and convey the main idea of your work.
It should be understandable without any concrete formal knowledge of your work, or prior work.}

\section{Motivation}
Give a brief description of the issue you are trying to solve, why it is important,
and what your concrete goal is.

\begin{figure}[t]
    \includegraphics[width=.8\linewidth]{figures/example-overview}
    \caption{Example for an overview of your approach}
    \label{fig:overview}
\end{figure}

\section{Overall Approach}
\Cref{fig:overview} shows an example for an overview of an approach
(don't worry about the poor location, \LaTeX will fix this when more text is added).
Draw an overview of what your solution could look like (pen-and-paper draft is good enough),
and explain it in text.

\section{Example}
Give a concrete example of the application of your approach, best with pictures
(pen-and-paper draft is good enough)
and thorough explanation of how your approach works.

\section{Contributions}
\todo{(To be filled out later)} Describe the contributions of your work.


\chapter{Related Work}
Name other work that is related to what you are trying to do, and explain how your solution
is different/better.

Example citation~\cite{HBMC-book,HBMC-TemporalLogic,Lassos,VerifyThis}.
